## r-cran-densityclust 0.3

=== DESCRIPTION ===
Package: densityClust
Type: Package
Title: Clustering by Fast Search and Find of Density Peaks
Version: 0.3
Date: 2017-10-24
Authors@R: c(
  person("Thomas Lin", "Pedersen", email = "thomasp85@gmail.com", role = c("aut", "cre")),
  person("Sean", "Hughes", email = "", role = c("aut")),
  person("Xiaojie", "Qiu", email = "xqiu@uw.edu", role = c("aut")))
Maintainer: Thomas Lin Pedersen <thomasp85@gmail.com>
Description: An improved implementation (based on k-nearest neighbors) of the 
    density peak clustering algorithm, originally described by Alex Rodriguez 
    and Alessandro Laio (Science, 2014 vol. 344). It can handle large datasets
    (> 100, 000 samples) very efficiently. It was initially implemented by 
    Thomas Lin Pedersen, with inputs from Sean Hughes and later improved by 
    Xiaojie Qiu to handle large datasets with kNNs.
License: GPL (>= 2)
Suggests: testthat
LinkingTo: Rcpp
Imports: Rcpp, FNN, Rtsne, ggplot2, ggrepel, grDevices, gridExtra,
        RColorBrewer
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-10-24 11:49:46 UTC; w22066
Author: Thomas Lin Pedersen [aut, cre],
  Sean Hughes [aut],
  Xiaojie Qiu [aut]
Repository: CRAN
Date/Publication: 2017-10-24 12:52:51 UTC

=== debian/changelog ===
r-cran-densityclust (0.3-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Thu, 17 Sep 2020 15:48:25 +0200

r-cran-densityclust (0.3-1) unstable; urgency=medium

  * Initial release (closes: #970074)

 -- Andreas Tille <tille@debian.org>  Fri, 11 Sep 2020 09:25:16 +0200

=== debian/control ===
Source: r-cran-densityclust
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-cran-fnn,
               r-cran-rtsne,
               r-cran-ggplot2,
               r-cran-ggrepel,
               r-cran-gridextra,
               r-cran-rcolorbrewer
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-densityclust
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-densityclust.git
Homepage: https://cran.r-project.org/package=densityClust
Rules-Requires-Root: no

Package: r-cran-densityclust
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R clustering by fast search and find of density peaks
 An improved implementation (based on k-nearest neighbors) of the
 density peak clustering algorithm, originally described by Alex Rodriguez
 and Alessandro Laio (Science, 2014 vol. 344). It can handle large datasets
 (> 100, 000 samples) very efficiently. It was initially implemented by
 Thomas Lin Pedersen, with inputs from Sean Hughes and later improved by
 Xiaojie Qiu to handle large datasets with kNNs.

## r-cran-densityclust 0.3.2

=== DESCRIPTION ===
Package: densityClust
Type: Package
Title: Clustering by Fast Search and Find of Density Peaks
Version: 0.3.2
Authors@R: c(
  person("Thomas Lin", "Pedersen", email = "thomasp85@gmail.com", role = c("aut", "cre")),
  person("Sean", "Hughes", email = "", role = c("aut")),
  person("Xiaojie", "Qiu", email = "xqiu@uw.edu", role = c("aut")))
Maintainer: Thomas Lin Pedersen <thomasp85@gmail.com>
Description: An improved implementation (based on k-nearest neighbors) of the 
    density peak clustering algorithm, originally described by Alex Rodriguez 
    and Alessandro Laio (Science, 2014 vol. 344) <DOI: 10.1126/science.1242072>. 
    It can handle large datasets (> 100, 000 samples) very efficiently. It was 
    initially implemented by Thomas Lin Pedersen, with inputs from Sean Hughes 
    and later improved by Xiaojie Qiu to handle large datasets with kNNs.
License: GPL (>= 2)
Suggests: testthat, covr
LinkingTo: Rcpp
Imports: Rcpp, FNN, Rtsne, ggplot2, ggrepel, grDevices, gridExtra,
        RColorBrewer
RoxygenNote: 6.0.1
URL: https://github.com/thomasp85/densityClust
BugReports: https://github.com/thomasp85/densityClust/issues
NeedsCompilation: yes
Packaged: 2022-03-06 18:55:54 UTC; thomas
Author: Thomas Lin Pedersen [aut, cre],
  Sean Hughes [aut],
  Xiaojie Qiu [aut]
Repository: CRAN
Date/Publication: 2022-03-06 19:10:02 UTC

=== debian/changelog ===
r-cran-densityclust (0.3.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 11 Mar 2022 06:59:16 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                r-cran-ggrepel,
                r-cran-gridextra,
                r-cran-rcolorbrewer
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-densityclust
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-densityclust.git
 Homepage: https://cran.r-project.org/package=densityClust

## r-cran-densityclust 0.3.3

=== DESCRIPTION ===
Type: Package
Package: densityClust
Title: Clustering by Fast Search and Find of Density Peaks
Version: 0.3.3
Authors@R: c(
    person("Thomas Lin", "Pedersen", , "thomasp85@gmail.com", role = c("aut", "cre")),
    person("Sean", "Hughes", role = "aut"),
    person("Xiaojie", "Qiu", , "xqiu@uw.edu", role = "aut")
  )
Maintainer: Thomas Lin Pedersen <thomasp85@gmail.com>
Description: An improved implementation (based on k-nearest neighbors) of
    the density peak clustering algorithm, originally described by Alex
    Rodriguez and Alessandro Laio (Science, 2014 vol. 344). It can handle large 
    datasets (> 100,000 samples) very efficiently. It was initially implemented 
    by Thomas Lin Pedersen, with inputs from Sean Hughes and later improved by 
    Xiaojie Qiu to handle large datasets with kNNs.
License: GPL (>= 2)
URL: https://github.com/thomasp85/densityClust
BugReports: https://github.com/thomasp85/densityClust/issues
Imports: FNN, ggplot2, ggrepel, grDevices, gridExtra, RColorBrewer,
        Rtsne
Suggests: covr, testthat
LinkingTo: cpp11
Encoding: UTF-8
RoxygenNote: 7.3.1
NeedsCompilation: yes
Packaged: 2024-01-29 13:51:42 UTC; thomas
Author: Thomas Lin Pedersen [aut, cre],
  Sean Hughes [aut],
  Xiaojie Qiu [aut]
Repository: CRAN
Date/Publication: 2024-01-29 14:30:02 UTC

=== debian/changelog ===
r-cran-densityclust (0.3.3-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 01 Feb 2024 16:40:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: r-cran-densityclust
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-densityclust
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-densityclust.git
+Homepage: https://cran.r-project.org/package=densityClust
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp,
                r-cran-fnn,
-               r-cran-rtsne,
                r-cran-ggplot2,
                r-cran-ggrepel,
                r-cran-gridextra,
-               r-cran-rcolorbrewer
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-densityclust
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-densityclust.git
-Homepage: https://cran.r-project.org/package=densityClust
-Rules-Requires-Root: no
+               r-cran-rcolorbrewer,
+               r-cran-rtsne,
+               r-cran-cpp11
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-densityclust
 Architecture: any

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/densityClust_([-\d.]*)\.tar\.gz
